Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(14)

Unified Diff: source/libvpx/build/make/iosbuild.sh

Issue 812033011: libvpx: Pull from upstream (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/deps/third_party/libvpx/
Patch Set: Created 5 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « source/libvpx/build/make/configure.sh ('k') | source/libvpx/build/make/rtcd.pl » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: source/libvpx/build/make/iosbuild.sh
===================================================================
--- source/libvpx/build/make/iosbuild.sh (revision 293588)
+++ source/libvpx/build/make/iosbuild.sh (working copy)
@@ -22,7 +22,8 @@
FRAMEWORK_DIR="VPX.framework"
HEADER_DIR="${FRAMEWORK_DIR}/Headers/vpx"
MAKE_JOBS=1
-LIBVPX_SOURCE_DIR=$(dirname "$0" | sed -e s,/build/make,,)
+SCRIPT_DIR=$(dirname "$0")
+LIBVPX_SOURCE_DIR=$(cd ${SCRIPT_DIR}/../..; pwd)
LIPO=$(xcrun -sdk iphoneos${SDK} -find lipo)
ORIG_PWD="$(pwd)"
TARGETS="arm64-darwin-gcc
@@ -41,7 +42,7 @@
mkdir "${target}"
cd "${target}"
- eval "../../${LIBVPX_SOURCE_DIR}/configure" --target="${target}" \
+ eval "${LIBVPX_SOURCE_DIR}/configure" --target="${target}" \
--disable-docs ${EXTRA_CONFIGURE_ARGS} ${devnull}
export DIST_DIR
eval make -j ${MAKE_JOBS} dist ${devnull}
@@ -57,9 +58,6 @@
arm64-*)
echo "__aarch64__"
;;
- armv6-*)
- echo "__ARM_ARCH_6__"
- ;;
armv7-*)
echo "__ARM_ARCH_7A__"
;;
@@ -175,8 +173,13 @@
# Trap function. Cleans up the subtree used to build all targets contained in
# $TARGETS.
cleanup() {
+ local readonly res=$?
cd "${ORIG_PWD}"
+ if [ $res -ne 0 ]; then
+ elog "build exited with error ($res)"
+ fi
+
if [ "${PRESERVE_BUILD_OUTPUT}" != "yes" ]; then
rm -rf "${BUILD_ROOT}"
fi
@@ -186,14 +189,21 @@
cat << EOF
Usage: ${0##*/} [arguments]
--help: Display this message and exit.
+ --extra-configure-args <args>: Extra args to pass when configuring libvpx.
--jobs: Number of make jobs.
--preserve-build-output: Do not delete the build directory.
--show-build-output: Show output from each library build.
+ --targets <targets>: Override default target list. Defaults:
+ ${TARGETS}
--verbose: Output information about the environment and each stage of the
build.
EOF
}
+elog() {
+ echo "${0##*/} failed because: $@" 1>&2
+}
+
vlog() {
if [ "${VERBOSE}" = "yes" ]; then
echo "$@"
@@ -223,6 +233,10 @@
--show-build-output)
devnull=
;;
+ --targets)
+ TARGETS="$2"
+ shift
+ ;;
--verbose)
VERBOSE=yes
;;
@@ -251,3 +265,5 @@
fi
build_framework "${TARGETS}"
+echo "Successfully built '${FRAMEWORK_DIR}' for:"
+echo " ${TARGETS}"
« no previous file with comments | « source/libvpx/build/make/configure.sh ('k') | source/libvpx/build/make/rtcd.pl » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698